package me.koba1.led.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
public class Settings {
    private Wifi wifi;
    private String bluetoothName;

    public Settings() {
        this.wifi = new Wifi();
        this.bluetoothName = "Betti-BT";
    }

    public Settings(Wifi wifi, String bluetoothName) {
        this.wifi = wifi;
        this.bluetoothName = bluetoothName;
    }

    @Getter
    @Setter
    @ToString
    public static class Wifi {
        private String name;
        private String password;

        public Wifi() {
            this.name = "Roxy-AP";
            this.password = "12345678";
        }

        public Wifi(String name, String password) {
            this.name = name;
            this.password = password;
        }

    }
}

